package com.citygis.cdc.ServiceImpl;

import com.citygis.cdc.mapper.MGSJTJMapper;
import com.citygis.cdc.pojo.MGSJTJ;
import com.citygis.cdc.service.MGSJTJService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author zyl
 * @date 2023-03-01 10:51
 */
@Service
public class MGSJTJServiceImpl implements MGSJTJService {

    @Resource
    MGSJTJMapper mgsjtjMapper;

//    @Scheduled(cron = "0 0 0 ? * 2")
    @Override
    public void autoMGSJTJ() {
        Date date = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String format = sdf.format(date);
        System.out.println("免规数据统计--->" + format);
        try {
            mgsjtjMapper.deleteMGSJ();
            for (MGSJTJ mgsjtj : mgsjtjMapper.queryMGSJ()) {
                mgsjtjMapper.insertMGSJ(mgsjtj);
            }
        } catch (Exception e) {
            System.out.println("免规数据统计错误--->" + e.getMessage());
        }

    }
}
