package com.citygis.cdc.mapper;

import com.citygis.cdc.pojo.MGSJTJ;

import java.util.List;

/**
 * @author zyl
 * @date 2023-03-01 10:40
 * 免规数据统计
 */
public interface MGSJTJMapper {

    /**
     * 删除免规历史数据
     */
    void deleteMGSJ();

    /**
     * 查询免规最近一周数据
     *
     * @return
     */
    List<MGSJTJ> queryMGSJ();

    /**
     * 添加最近一周免规数据
     *
     * @param mgsjtj
     */
    void insertMGSJ(MGSJTJ mgsjtj);

}
